commit:     1185f5d80edbdb2cda8f32c62225c178e8304478
Author:     Sergey Ilinykh <rion4ik <AT> gmail <DOT> com>
AuthorDate: Sat Mar 14 11:51:41 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Mar 16 21:28:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1185f5d8

sys-devel/qconf: bumped to 2.5

Signed-off-by: Sergey Ilinykh <rion4ik <AT> gmail.com>
Closes: https://bugs.gentoo.org/682428
Closes: https://github.com/gentoo/gentoo/pull/14951
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-devel/qconf/Manifest         |  1 +
 sys-devel/qconf/qconf-2.5.ebuild | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sys-devel/qconf/Manifest b/sys-devel/qconf/Manifest
index 55a90ad5eb8..955440b5582 100644
--- a/sys-devel/qconf/Manifest
+++ b/sys-devel/qconf/Manifest
@@ -1,2 +1,3 @@
 DIST qconf-2.3.tar.xz 51848 BLAKE2B 
836f22e50cd4c9bb2beefd85d0e5f85f7aee40078dd4a696492c344ae9dffeae20840025a3262b5abcc2c74b22ed9e0bd4b44d077b83ab1e904c0a93bde394ff
 SHA512 
27a532cb52067707a3e04a40260bb0f42e40adff4a643d2f048832356de58271e4051c9cb810e6fffd4b4e45dba483ed65aec062506053caa262ac03b3ec6253
 DIST qconf-2.4.tar.xz 51880 BLAKE2B 
c87a2a6dbca56fa52bccd0cdbbdba64013adcbf03c6cca6744d3e1c3166f74a09e945022854b1143e0c08a70a6124c0b890be8d7f9d4a91be7c6c0e2c89bf800
 SHA512 
982ace9e1d30f6c92078d661e103418fc7e3352a56eb78dae64a004e563f5e7bbf8f71972ca482e2f5229a6f88bb51372e543833f99c4b596d0ae4be5f443317
+DIST qconf-2.5.tar.gz 100704 BLAKE2B 
01dcca053e020cfc76e8595927dd3cedb6c82ade24381c95935c87994037ca5129f5e9e0ec58dd0e0fc6815b1500249b767367fbf7a16549459f814bb1591368
 SHA512 
4ce032eb5b9ba2d584807b3283b0dd5cf973c2fdd6792dfec13c54bb7c639d23eeaab03eb52f1a395113d973d2b01d87bf713d717e691641203865b934c7da5e

diff --git a/sys-devel/qconf/qconf-2.5.ebuild b/sys-devel/qconf/qconf-2.5.ebuild
new file mode 100644
index 00000000000..0064bce4658
--- /dev/null
+++ b/sys-devel/qconf/qconf-2.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="./configure like generator for qmake-based projects"
+HOMEPAGE="https://github.com/psi-im/qconf";
+SRC_URI="https://github.com/psi-im/qconf/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtxml:5
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       # not autotools configure, so don't use econf
+       ./configure \
+               --prefix="${EPREFIX}"/usr \
+               --qtdir="$(qt5_get_libdir)/qt5" \
+               --extraconf=QMAKE_STRIP= \
+               --verbose || die "configure failed"
+
+       # just to set all the Gentoo toolchain flags
+       eqmake5
+}
+
+src_install() {
+       emake INSTALL_ROOT="${D}" install
+       einstalldocs
+       dodoc -r examples
+}

Reply via email to